Foreman - Bug #26462

PUT request for cache refresh fails
03/27/2019 07:26 AM - Shira Maximov

Status: Closed

Priority: Normal
Assignee:

Category: VM management

Target version:

Difficulty: Fixed in Releases: 1.22.0
Triaged: No Found in Releases:
Bugzilla link: 1692688 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6620
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1692688

Description of problem:
PUT request for a compute resource fails with below error message

{

"message": "Failed to refresh the cache."
L
Version-Release number of selected component (if applicable):
latest master

How reproducible:

Steps to Reproduce:

1.Add a compute resource

2.PUT request for cache refresh

3.

Actual results:
Shown error msg

Expected results:
Should work or give proper error if not implemented

Additional info:

Associated revisions

Revision f9b89a1f - 03/31/2019 12:41 PM - Shira Maximov

Fixes #26462 - Add 'Not implemented' error for refresh_cache

History

#1 - 03/27/2019 07:45 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6620 added

#2 - 03/31/2019 12:41 PM - Timo Goebel
- Fixed in Releases 1.22.0 added

#3 - 03/31/2019 01:02 PM - Shira Maximov
- Status changed from Ready For Testing to Closed
https://bugzilla.redhat.com/show_bug.cgi?id=1692688

Applied in changeset f9b89a1f89827d37234¢7583410f23704692084e.
